<?php
/**
* @version      3.0.0 20.12.2010
* @author       MAXXmarketing GmbH
* @package      Jshopping
* @copyright    Copyright (C) 2010 webdesigner-profi.de. All rights reserved.
* @license      GNU/GPL
*/

function messageOutput($text,$class = 'jshop_red') {
    return '<span class = "' . $class . '">' . $text . '</span><br />';
}

function quickiconButton( $link, $image, $text ) {
    ?>
    <div style="float:left;">
        <div class="icon">
            <a href="<?php echo $link; ?>">
                <?php echo JHTML::_('image.site',  $image, '/components/com_jshopping/images/', NULL, NULL, $text ); ?>
                <span><?php echo $text; ?></span>
            </a>
        </div>
    </div>
    <?php
}

function getTemplates($type, $default){

    $name = $type."_template";
    $folder = $type;

    $jshopConfig = &JSFactory::getConfig();
    $temp = array();
    $dir = $jshopConfig->path."/templates/".$jshopConfig->template."/".$folder."/";
    $dh = opendir($dir);
    while (($file = readdir($dh)) !== false) {
        if (preg_match("/".$type."_(.*)\.php/", $file, $matches)){
            $temp[] = $matches[1];
        }
    }
    closedir($dh);
    $list = array();
    foreach($temp as $val){
        $list[] = JHTML::_('select.option', $val, $val, 'id', 'value');
    }
    
    return JHTML::_('select.genericlist', $list, $name,'class = "inputbox" size = "1"','id','value', $default);
}

function getShopTemplatesSelect($default){
    $jshopConfig = &JSFactory::getConfig();
    $temp = array();
    $dir = $jshopConfig->path."/templates/";
    $dh = opendir($dir);
    while (($file = readdir($dh)) !== false) {        
        if (is_dir($dir.$file) && $file!="." && $file!=".."){
            $temp[] = $file;
        }
    }
    closedir($dh);
    $list = array();
    foreach($temp as $val){
        $list[] = JHTML::_('select.option', $val, $val, 'id', 'value');
    }
    
    return JHTML::_('select.genericlist', $list, "template",'class = "inputbox" size = "1"','id','value', $default);
}

function getFileName($name) {
    // Get Extension
    $ext_file = strtolower(substr($name,strrpos($name,".")));
    // Generate name file
    $name_file = md5(uniqid(rand(),true));
    return $name_file . $ext_file;
}

function getMainCurrencyCode(){
    $jshopConfig = &JSFactory::getConfig();
    $currency =& JTable::getInstance('currency', 'jshop');
    $currency->load($jshopConfig->mainCurrency);
    return $currency->currency_code;
}

function updateCountExtTaxRule(){
    $db = &JFactory::getDBO();
    $query = "SELECT count(id) FROM `#__jshopping_taxes_ext`";
    $db->setQuery($query);
    $count = $db->loadResult();
    
    $query = "update #__jshopping_config set use_extend_tax_rule='".$count."' where id='1'";
    $db->setQuery($query);
    $db->query();
}

function updateCountConfigDisplayPrice(){
    $db = &JFactory::getDBO();
    $query = "SELECT count(id) FROM `#__jshopping_config_display_prices`";
    $db->setQuery($query);
    $count = $db->loadResult();
    
    $query = "update #__jshopping_config set use_extend_display_price_rule='".$count."' where id='1'";
    $db->setQuery($query);
    $db->query();
}

function orderBlocked($order){
    if (!$order->order_created && time()-strtotime($order->order_date)<3600){
        return 1;
    }else{
        return 0;
    }
}

function addSubmenu($vName){
    
    JSubMenuHelper::addEntry( _JSHOP_MENU_CATEGORIES, 'index.php?option=com_jshopping&controller=categories&catid=0', $vName == 'categories');
    JSubMenuHelper::addEntry( _JSHOP_MENU_PRODUCTS, 'index.php?option=com_jshopping&controller=products&category_id=0', $vName == 'products');
    JSubMenuHelper::addEntry( _JSHOP_MENU_MANUFACTURERS, 'index.php?option=com_jshopping&controller=manufacturers', $vName == 'manufacturers');
    JSubMenuHelper::addEntry( _JSHOP_MENU_COUPONS, 'index.php?option=com_jshopping&controller=coupons', $vName == 'coupons');
    JSubMenuHelper::addEntry( _JSHOP_MENU_ORDERS, 'index.php?option=com_jshopping&controller=orders', $vName == 'orders');
    JSubMenuHelper::addEntry( _JSHOP_MENU_CLIENTS, 'index.php?option=com_jshopping&controller=users', $vName == 'users');
    JSubMenuHelper::addEntry( _JSHOP_MENU_OTHER, 'index.php?option=com_jshopping&controller=other', $vName == 'other');
    if (JFactory::getUser()->authorise('core.admin', 'com_jshopping')) {
        JSubMenuHelper::addEntry( _JSHOP_MENU_CONFIG, 'index.php?option=com_jshopping&controller=config', $vName == 'config');
    }
    JSubMenuHelper::addEntry( _JSHOP_MENU_INFO, 'index.php?option=com_jshopping&controller=info', $vName == 'info');
}

function checkAccessController($name){
    $mainframe =& JFactory::getApplication();
    $user = & JFactory::getUser();
    
    if ($name=="config"){
        if (!JFactory::getUser()->authorise('core.admin', 'com_jshopping')) {
            JError::raiseWarning(404, JText::_('JERROR_ALERTNOAUTHOR'));
            $mainframe->redirect('index.php');
            return 0;
        }
    }
    
    if ($name=="update"){
        if (!JFactory::getUser()->authorise('core.admin.install', 'com_jshopping')) {
            JError::raiseWarning(404, JText::_('JERROR_ALERTNOAUTHOR'));
            $mainframe->redirect('index.php');
            return 0;
        }
    }
}


?>